| IDA SDK

Public Attributes | Public Member Functions | List of all members
action_ctx_base_t Struct Reference

## Detailed Description

Maintain information about the current state of the UI.

This allows actions to behave appropriately (see action_handler_t)

## Public Attributes
TWidget * | widget
twidget_type_t | widget_type
| type of current widget
qstring | widget_title
| title of current widget
chooser_base_t * | chooser
| the underlying chooser_base_t (if 'widget' is a chooser widget)
sizevec_t | chooser_selection
| current chooser selection (0-based)
const char * | action
| action name
uint32 | cur_flags
| Current address information. see Action context property bits.
ea_t | cur_ea
| the current EA of the position in the view
uval_t | cur_value
| the possible address, or value the cursor is positioned on
func_t * | cur_func
| the current function
func_t * | cur_fchunk
| the current function chunk
segment_t * | cur_seg
| the current segment
action_ctx_base_cur_sel_t | cur_sel
| the currently selected range. also see ACF_HAS_SELECTION
const char * | regname
| register name (if widget_type == BWN_CPUREGS and context menu opened on register)
TWidget * | focus
| The focused widget in case it is not the 'form' itself (e.g., the 'quick filter' input in choosers.)
interactive_graph_t * | graph
| the current graph (if in a graph view)
screen_graph_selection_t * | graph_selection
| the current graph selection (if in a graph view)
const selection_item_t * | hovered
| the current item being hovered (if in a graph view)
dirtree_selection_t * | dirtree_selection
| the current dirtree_t selection (if applicable)
til_type_ref_t * | type_ref
| a reference to the current type (if 'widget' is a type listing widget; nullptr otherwise)

## Public Member Functions
| action_ctx_base_t ()
| Constructor.
void | reset ()
| Invalidate all context info.
bool | has_flag (uint32 flag) const
| Check if the given flag is set.

The documentation for this struct was generated from the following file:

- kernwin.hpp